Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.validate
Class QVQDML

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMpeerSupportLite
            |
            +--com.jxml.quick.ocm.OCMrootPeerSupportLite
                  |
                  +--com.jxml.quick.util.validate.QVQDML

All Implemented Interfaces:
  OCMpeer, OCMrootPeer

public class QVQDML
extends OCMrootPeerSupportLite

Applies QDML schema to the input data.

Field Summary
`Map` | `coinMap`
`QDoc` | `dataDoc`
`OCMelement` | `element`
`QVErrorContext.SubErrorContext` | `errorContext`
`ArrayList` | `errors` The list of errors.
`QDMQDML` | `qdml`
`OCMErrorRoot` | `qe` The output model root.
`String` | `rootLabel`
`OCMcontextSupport.SubContextSupport` | `scs`
`String` | `tagNameOfRootData`

Fields inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`context, dataModel, paramMap, parent`

Constructor Summary
`QVQDML()`

Method Summary
`void` | `cvt(Object param)` Perform the conversion.
`Object` | `getOutputRoot()` Returns the root of the output data model.
`void` | `validateRoot()`

Methods inherited from class com.jxml.quick.ocm.OCMrootPeerSupportLite
`convert, convert, express, express`

Methods inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`doCvt, doCvt, doCvt, init, peer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMpeer
`init`

Field Detail

### qe

    public OCMErrorRoot qe

  The output model root.

### errors

    public ArrayList errors

  The list of errors.

### qdml

    public QDMQDML qdml

### errorContext

    public QVErrorContext.SubErrorContext errorContext

### scs

    public OCMcontextSupport.SubContextSupport scs

### dataDoc

    public QDoc dataDoc

### element

    public OCMelement element

### tagNameOfRootData

    public String tagNameOfRootData

### rootLabel

    public String rootLabel

### coinMap

    public Map coinMap

Constructor Detail

### QVQDML

    public QVQDML()

Method Detail

### cvt

    public void cvt(Object param)
             throws SAXException,
                    IOException

  Description copied from interface: `OCMpeer`
  Perform the conversion.
  Overrides:
    `cvt` in class `OCMpeerSupportLite`

### validateRoot

    public void validateRoot()
                      throws SAXException,
                             IOException

### getOutputRoot

    public Object getOutputRoot()
                         throws SAXException,
                                IOException

  Description copied from class: `OCMrootPeerSupportLite`
  Returns the root of the output data model. (Defaults to this.)
  Overrides:
    `getOutputRoot` in class `OCMrootPeerSupportLite`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD